# Uses of Interface
org.apache.sling.auth.oauth_client.ClientConnection

Packages that use ClientConnection
Package
Description
org.apache.sling.auth.oauth_client
org.apache.sling.auth.oauth_client.support

## Uses of ClientConnection in org.apache.sling.auth.oauth_client

Methods in org.apache.sling.auth.oauth_client with parameters of type ClientConnection
Modifier and Type
Method
Description
`@NotNull OAuthTokenResponse`
OAuthTokenAccess.`clearAccessToken(@NotNull ClientConnection connection, @NotNull org.apache.sling.api.SlingHttpServletRequest request, @NotNull String redirectPath)`
Clears the access token for the given connection and user, as identified by the request.
`void`
OAuthTokenAccess.`clearAccessToken(@NotNull ClientConnection connection, @NotNull org.apache.sling.api.resource.ResourceResolver resolver)`
Clears the access token for the given connection and user, as identified by the resource resolver
`@NotNull OAuthTokenResponse`
OAuthTokenAccess.`getAccessToken(@NotNull ClientConnection connection, @NotNull org.apache.sling.api.SlingHttpServletRequest request, @NotNull String redirectPath)`
Retrieves an existing access, valid, access token from storage.
Constructors in org.apache.sling.auth.oauth_client with parameters of type ClientConnection
Modifier
Constructor
Description
``
`OAuthTokenResponse(@NotNull Optional<String> token, @NotNull ClientConnection connection, @NotNull org.apache.sling.api.SlingHttpServletRequest request, @NotNull String redirectPath)`

## Uses of ClientConnection in org.apache.sling.auth.oauth_client.support

Constructors in org.apache.sling.auth.oauth_client.support with parameters of type ClientConnection
Modifier
Constructor
Description
`protected`
`OAuthEnabledSlingServlet(@NotNull ClientConnection connection, @NotNull OAuthTokenAccess tokenAccess)`